# 子Guildを生成
child_guild = Guild.new(script: %q[
  ch = Guild.default_channel
  # 親Guildからデータと返信用のchannelを受け取る
  data, channel = ch.receive
  # 重い処理を実行する
  # この処理は親Guildでの処理と同時に行える
  resp = do_something(data)
  # 結果を示すオブジェクトを、親Guildに移籍する
  channel.transfer(resp)
])

# 子Guildとの通信用チャンネル
channel = Guild::Channel.new
# データを子Guildに移籍する
child_guild.transfer([data, channel])
p channel.receive
